
Member Nodes - Task #8523

MNDeployment # 8254 (Planning): ABDS - Arctic Biodiversity Data Service (CAFF)

Story # 8358 (In Progress): Discovery & Planning (CAFF)

CAFF: Technical Requirements & Design Planning

2018-03-26 15:07 - Amy Forrester

Status: In Progress Start date: 2018-04-06

Priority: Normal Due date:  

Assignee: Amy Forrester % Done: 30%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Confirm chosen deployment path.

Communicate knowledge of technical requirements for selected deployment. These can include:

SSL certificate.

FQDN.

Apache web server with Python 2.7 or Java (depending on stack).

Confirm metadata format. Communicate expectations for metadata quality.

Specify in advance whether a separate test installation will be maintained in parallel with production. This is important for

planning the deployment. A separate test will need distinct subdomain and SSL cert if not using wildcard.

Meet to present potential Member Node with Plan and confirm mutual acceptance  ABDS Work Plan Google Doc

Approval of Plan = Change Status > Testing

Subtasks:

Task # 8531: Training & education  New

History

#1 - 2018-04-06 14:57 - Amy Forrester

- Parent task changed from #8521 to #8358

#2 - 2018-04-06 15:01 - Amy Forrester

- Description updated

- Subject changed from CAFF: Technical Requirements to CAFF: Technical Requirements & Design Planning

#3 - 2018-04-06 15:13 - Amy Forrester

- Description updated

#4 - 2018-04-06 15:42 - Amy Forrester

- Description updated

#5 - 2018-04-06 17:22 - Amy Forrester

Design Plan Working Google Doc: 

https://docs.google.com/document/d/1nmn_hwHGkG6fpUO4BaiLNHNGJtGe_RKP1eVyf0tknYo/edit

?usp=sharing 
#6 - 2018-04-11 14:41 - Amy Forrester

- % Done changed from 0 to 30

- Assignee set to Amy Forrester

- Status changed from New to In Progress

4/6/18: Action items needed from Tom Barry to develop plan

NodeID acroymn

which services are enabled in the Geonet server?

Identifiers - change with edits or at all over time

double identifiers

NOTE: Tom out of office May-June

#7 - 2018-04-18 17:48 - Amy Forrester

4/18/18: follow-up with Tom re: Action item completion so we can provide a tentative game plan for what to do when he gets back in 2 months

#8 - 2018-04-30 15:25 - Amy Forrester

4/30/18: No response from Tom since early April...back-burner until after June 

#9 - 2018-05-02 20:10 - Amy Forrester

5/2/18: Responses:

1. Resolve your MN name/ID:  ABDS - Arctic Biodiversity Data Service

2. confirm with data manager if metadata changes result in a new identifier or just data changes Just data changes

3. confirm what machine readable services might be available through which we can access their information in machine readable format WMS

need specific metadata endpoint and any required authentication

#10 - 2018-06-14 14:21 - Amy Forrester

- Description updated
